Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 33300 - Evaluate performance/possibly rewrite PropertySetModelImpl
Evaluate performance/possibly rewrite PropertySetModelImpl
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P3 (vote)
: TBD
Assigned To: _ tboudreau
issues@platform
:
Depends on:
Blocks: 29447
  Show dependency treegraph
 
Reported: 2003-04-29 14:00 UTC by _ tboudreau
Modified: 2008-12-22 20:34 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description _ tboudreau 2003-04-29 14:00:31 UTC
PropertySetModelImpl holds set of property sets and 
properties for the new property sheet, manages their
expanded/collapsed state.  Events on it get translated
to TableModelEvents by SheetTableModel.

The current implementation is a bit naive, as it was
just written to get the initial impl of the property
sheet working - it iterates all the property sets and
all the properties of them and puts them into a list
structure.

Probably for performance, the implementation should be
more transparent and not iterate/cache information.
Comment 1 _ tboudreau 2003-06-25 23:49:31 UTC
Any rewrite should wait pending revisions of API for
properties wrt Looks - and there don't seem to be any
significant performance problems here anyway.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo